> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wavecentric.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Flows

> Retrieve all automation flows for a specific source from Activepieces.

Retrieve a list of available automation flows for a specific source.


## OpenAPI

````yaml GET /api/v1/flows/{source}
openapi: 3.1.0
info:
  title: WaveCentric AI LooP API
  description: >-
    Comprehensive API for managing omnichannel logistics, inquiries, tasks, and
    data lake operations.
  version: 1.0.0
servers:
  - url: https://ai-loop.alpeadria.com
    description: Production server
security: []
paths:
  /api/v1/flows/{source}:
    get:
      tags:
        - Flows & Automation
      summary: List flows
      description: Retrieve all automation flows for a specific source from Activepieces.
      operationId: get-flows
      parameters:
        - name: source
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            success: 50
        - name: cursor
          in: query
          schema:
            type: string
      responses:
        '200':
          description: List of flows
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        displayName:
                          type: string
                        status:
                          type: string
                  nextCursor:
                    type: string
                    nullable: true
              examples:
                success:
                  value:
                    data:
                      - id: HAi2EtVRQewrOjXt
                        displayName: Inquiry Processor
                        status: PUBLISHED
                      - id: VgtiK5DK1B
                        displayName: Customers KPI
                        status: PUBLISHED
                    nextCursor: null
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````